<?php

namespace Goodquestiondev\Tests;

require_once __DIR__ . '/../vendor/autoload.php';

use PHPUnit\Framework\TestCase;
use Goodquestiondev\Application;

class SimpleAppTest extends TestCase
{
    public function testApplicationPublicPath(): void
    {
        $app = new Application(dirname(__DIR__));
        $this->assertEquals(dirname(__DIR__).'/public', $app->publicPath());
    }

    public function testControllerUris(): void
    {
        $app = new Application(dirname(__DIR__));
        $this->assertEquals([
            'categories.posts' => 'CategoriesPostsController',
            'posts' => 'PostsController',
            'users.posts' => 'UsersPostsController'
        ], $app->controllerUris);
    }
}
